#include "Main.h"

double NodeKernelColor::Evaluate(const Node &n0, const Node &n1) const
{
    static const float scale = 1.0f / sqrtf(3.0f);
    float colorComparison = scale * Vec3f::Dist(Vec3f(n0.color), Vec3f(n1.color));
    return (1.0f - colorComparison);
}
