class RootedGraphKernelEnumerateWalks : public RootedGraphKernel
{
public:
    void SetParameters(UINT pathLength, const WalkKernel &walkKernel);
    void SetGraphs(const Graph &g0, const Graph &g1);
    double Evaluate(const Node &n0, const Node &n1) const;

private:
    UINT _pathLength;
    const WalkKernel *_walkKernel;
    const Graph *_g0, *_g1;
};